<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: MINI51 Peripheral Declaration</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#groups">Modules</a> &#124;
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">MINI51 Peripheral Declaration<div class="ingroups"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html">MINI51 Peripheral Memory Map</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for MINI51 Peripheral Declaration:</div>
<div class="dyncontent">
<div class="center"><img src="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.png" border="0" usemap="#adc_2ddc_2group______m__i__n__i51______p__e__r__i__p__h__e__r__a__l______d__e__c__l__a__r__a__t__i__o__n" alt=""/></div>
<map name="adc_2ddc_2group______m__i__n__i51______p__e__r__i__p__h__e__r__a__l______d__e__c__l__a__r__a__t__i__o__n" id="adc_2ddc_2group______m__i__n__i51______p__e__r__i__p__h__e__r__a__l______d__e__c__l__a__r__a__t__i__o__n">
<area shape="rect" href="../../de/d02/group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html" title=" " alt="" coords="499,5,632,31"/>
<area shape="rect" title=" " alt="" coords="257,5,451,31"/>
<area shape="rect" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html" title=" " alt="" coords="5,5,209,31"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="groups" name="groups"></a>
Modules</h2></td></tr>
<tr class="memitem:de/d02/group___m_i_n_i51___i_o___r_o_u_t_i_n_e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d02/group___m_i_n_i51___i_o___r_o_u_t_i_n_e.html">MINI51 I/O routines</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga9646f603341e1ee220bf5d9948f05cb0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga9646f603341e1ee220bf5d9948f05cb0">WDT</a>&#160;&#160;&#160;((<a class="el" href="../../d9/d18/struct_w_d_t___t.html">WDT_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaf99229879e6e3249a0ab9bcefcaf208b">WDT_BASE</a>)</td></tr>
<tr class="memdesc:ga9646f603341e1ee220bf5d9948f05cb0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to WDT register structure.  <a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga9646f603341e1ee220bf5d9948f05cb0">More...</a><br /></td></tr>
<tr class="separator:ga9646f603341e1ee220bf5d9948f05cb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf1b746ba5ab7d0ab657156ebda0f290c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaf1b746ba5ab7d0ab657156ebda0f290c">TIMER0</a>&#160;&#160;&#160;((<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7a5c55fc79dee34c91502b0503404375">TIMER0_BASE</a>)</td></tr>
<tr class="memdesc:gaf1b746ba5ab7d0ab657156ebda0f290c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to Timer 0 register structure.  <a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaf1b746ba5ab7d0ab657156ebda0f290c">More...</a><br /></td></tr>
<tr class="separator:gaf1b746ba5ab7d0ab657156ebda0f290c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga63bf4f24c85f26e838f55701a5e69831"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga63bf4f24c85f26e838f55701a5e69831">TIMER1</a>&#160;&#160;&#160;((<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7a4bd01d91a70285f0bec70f4e9e88bb">TIMER1_BASE</a>)</td></tr>
<tr class="memdesc:ga63bf4f24c85f26e838f55701a5e69831"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to Timer 1 register structure.  <a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga63bf4f24c85f26e838f55701a5e69831">More...</a><br /></td></tr>
<tr class="separator:ga63bf4f24c85f26e838f55701a5e69831"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga457a9aa93dbb216459873a30bdb4d84a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga457a9aa93dbb216459873a30bdb4d84a">I2C</a>&#160;&#160;&#160;((<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7ee5d64af207612578a7c77b58f1dd33">I2C_BASE</a>)</td></tr>
<tr class="memdesc:ga457a9aa93dbb216459873a30bdb4d84a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to I2C register structure.  <a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga457a9aa93dbb216459873a30bdb4d84a">More...</a><br /></td></tr>
<tr class="separator:ga457a9aa93dbb216459873a30bdb4d84a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga86abb2e8858d177c04e60c41e9242045"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga86abb2e8858d177c04e60c41e9242045">I2C0</a>&#160;&#160;&#160;((<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7ee5d64af207612578a7c77b58f1dd33">I2C_BASE</a>)</td></tr>
<tr class="memdesc:ga86abb2e8858d177c04e60c41e9242045"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to I2C register structure.  <a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga86abb2e8858d177c04e60c41e9242045">More...</a><br /></td></tr>
<tr class="separator:ga86abb2e8858d177c04e60c41e9242045"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaadd93900fc87105fa3ef514675d4133b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaadd93900fc87105fa3ef514675d4133b">SPI</a>&#160;&#160;&#160;((<a class="el" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga4a3757b6bf87a9402b4cc6ff355dd015">SPI_BASE</a>)</td></tr>
<tr class="memdesc:gaadd93900fc87105fa3ef514675d4133b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to SPI register structure.  <a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaadd93900fc87105fa3ef514675d4133b">More...</a><br /></td></tr>
<tr class="separator:gaadd93900fc87105fa3ef514675d4133b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf26e39c91b262cc480085abcc450d3d5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaf26e39c91b262cc480085abcc450d3d5">SPI0</a>&#160;&#160;&#160;((<a class="el" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga4a3757b6bf87a9402b4cc6ff355dd015">SPI_BASE</a>)</td></tr>
<tr class="memdesc:gaf26e39c91b262cc480085abcc450d3d5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to SPI register structure.  <a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaf26e39c91b262cc480085abcc450d3d5">More...</a><br /></td></tr>
<tr class="separator:gaf26e39c91b262cc480085abcc450d3d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga538e3ec60828cfabae7e3011d73d2093"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>&#160;&#160;&#160;((<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga1cf172d973c15b32c647a80557010e0c">PWM_BASE</a>)</td></tr>
<tr class="memdesc:ga538e3ec60828cfabae7e3011d73d2093"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to PWM register structure.  <a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">More...</a><br /></td></tr>
<tr class="separator:ga538e3ec60828cfabae7e3011d73d2093"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf7cb12b462b4594bd759d1b4e241ec4c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaf7cb12b462b4594bd759d1b4e241ec4c">UART</a>&#160;&#160;&#160;((<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaa501d94aad5260161a3f0b89ec827e92">UART_BASE</a>)</td></tr>
<tr class="memdesc:gaf7cb12b462b4594bd759d1b4e241ec4c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to UART register structure.  <a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaf7cb12b462b4594bd759d1b4e241ec4c">More...</a><br /></td></tr>
<tr class="separator:gaf7cb12b462b4594bd759d1b4e241ec4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0508661f121639ffdee7de2353a0def2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga0508661f121639ffdee7de2353a0def2">UART0</a>&#160;&#160;&#160;((<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaa501d94aad5260161a3f0b89ec827e92">UART_BASE</a>)</td></tr>
<tr class="memdesc:ga0508661f121639ffdee7de2353a0def2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to UART register structure.  <a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga0508661f121639ffdee7de2353a0def2">More...</a><br /></td></tr>
<tr class="separator:ga0508661f121639ffdee7de2353a0def2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga54d148b91f3d356713f7e367a2243bea"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>&#160;&#160;&#160;((<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gad06cb9e5985bd216a376f26f22303cd6">ADC_BASE</a>)</td></tr>
<tr class="memdesc:ga54d148b91f3d356713f7e367a2243bea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to ADC register structure.  <a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">More...</a><br /></td></tr>
<tr class="separator:ga54d148b91f3d356713f7e367a2243bea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8b90783a67cca84746999e2d4dfc735c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>&#160;&#160;&#160;((<a class="el" href="../../d1/d99/struct_a_c_m_p___t.html">ACMP_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga1c32d772e9e72f69156356e526790914">ACMP_BASE</a>)</td></tr>
<tr class="memdesc:ga8b90783a67cca84746999e2d4dfc735c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to ACMP register structure.  <a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">More...</a><br /></td></tr>
<tr class="separator:ga8b90783a67cca84746999e2d4dfc735c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae3d9f52a1a315303ad04f0576bd42a25"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>&#160;&#160;&#160;((<a class="el" href="../../db/d66/struct_g_c_r___t.html">GCR_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gab33b8c0d1115b19422b58e6efa42c8a6">GCR_BASE</a>)</td></tr>
<tr class="memdesc:gae3d9f52a1a315303ad04f0576bd42a25"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to SYS register structure.  <a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">More...</a><br /></td></tr>
<tr class="separator:gae3d9f52a1a315303ad04f0576bd42a25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4b355291fe6b8ba8e167ab0faa862e45"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>&#160;&#160;&#160;((<a class="el" href="../../d5/d89/struct_c_l_k___t.html">CLK_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga0385aaf8679955f827be0a0abda8566d">CLK_BASE</a>)</td></tr>
<tr class="memdesc:ga4b355291fe6b8ba8e167ab0faa862e45"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to CLK register structure.  <a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">More...</a><br /></td></tr>
<tr class="separator:ga4b355291fe6b8ba8e167ab0faa862e45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafeeffe52c8fd59db7c61cf8b02042dbf"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gafeeffe52c8fd59db7c61cf8b02042dbf">INT</a>&#160;&#160;&#160;((<a class="el" href="../../dc/d0b/struct_i_n_t___t.html">INT_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gab83441b5ca9bd3c25e8e4489f2071f1f">INT_BASE</a>)</td></tr>
<tr class="memdesc:gafeeffe52c8fd59db7c61cf8b02042dbf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to INT register structure.  <a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gafeeffe52c8fd59db7c61cf8b02042dbf">More...</a><br /></td></tr>
<tr class="separator:gafeeffe52c8fd59db7c61cf8b02042dbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1583b00a62bc1138f99bbfcd8ef81a6a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1583b00a62bc1138f99bbfcd8ef81a6a">P0</a>&#160;&#160;&#160;((<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaa9ed78d6cfe5edd33af3e136c5938417">P0_BASE</a>)</td></tr>
<tr class="memdesc:ga1583b00a62bc1138f99bbfcd8ef81a6a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to GPIO port 0 register structure.  <a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1583b00a62bc1138f99bbfcd8ef81a6a">More...</a><br /></td></tr>
<tr class="separator:ga1583b00a62bc1138f99bbfcd8ef81a6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6c2a9f7efd46f0160f3037869924d6ce"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga6c2a9f7efd46f0160f3037869924d6ce">P1</a>&#160;&#160;&#160;((<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga656ca53ffcbf328100dddccf007b85ef">P1_BASE</a>)</td></tr>
<tr class="memdesc:ga6c2a9f7efd46f0160f3037869924d6ce"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to GPIO port 1 register structure.  <a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga6c2a9f7efd46f0160f3037869924d6ce">More...</a><br /></td></tr>
<tr class="separator:ga6c2a9f7efd46f0160f3037869924d6ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae00a52dba55d31948c377fa85d385b87"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae00a52dba55d31948c377fa85d385b87">P2</a>&#160;&#160;&#160;((<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gac015290d797bcba839812d71b6e07565">P2_BASE</a>)</td></tr>
<tr class="memdesc:gae00a52dba55d31948c377fa85d385b87"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to GPIO port 2 register structure.  <a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae00a52dba55d31948c377fa85d385b87">More...</a><br /></td></tr>
<tr class="separator:gae00a52dba55d31948c377fa85d385b87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0707a89c2f63bd260108e9dbb669358e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga0707a89c2f63bd260108e9dbb669358e">P3</a>&#160;&#160;&#160;((<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga932e679bf1c1dd9873fa5948845394b7">P3_BASE</a>)</td></tr>
<tr class="memdesc:ga0707a89c2f63bd260108e9dbb669358e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to GPIO port 3 register structure.  <a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga0707a89c2f63bd260108e9dbb669358e">More...</a><br /></td></tr>
<tr class="separator:ga0707a89c2f63bd260108e9dbb669358e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacbc14a33d017f5f2dabce1cb0d85718e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gacbc14a33d017f5f2dabce1cb0d85718e">P4</a>&#160;&#160;&#160;((<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga1bfcac8d536ed3cbf84dea67475311f4">P4_BASE</a>)</td></tr>
<tr class="memdesc:gacbc14a33d017f5f2dabce1cb0d85718e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to GPIO port 4 register structure.  <a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gacbc14a33d017f5f2dabce1cb0d85718e">More...</a><br /></td></tr>
<tr class="separator:gacbc14a33d017f5f2dabce1cb0d85718e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga49ce5f7954a95865f12be8083ccb2719"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga49ce5f7954a95865f12be8083ccb2719">P5</a>&#160;&#160;&#160;((<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga37447b491f1fb8b3cd8335bcf78c0dc7">P5_BASE</a>)</td></tr>
<tr class="memdesc:ga49ce5f7954a95865f12be8083ccb2719"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to GPIO port 5 register structure.  <a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga49ce5f7954a95865f12be8083ccb2719">More...</a><br /></td></tr>
<tr class="separator:ga49ce5f7954a95865f12be8083ccb2719"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1037b18e2d226fe7d327d4a6f17a21c1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1037b18e2d226fe7d327d4a6f17a21c1">GPIO</a>&#160;&#160;&#160;((<a class="el" href="../../d0/dd9/struct_g_p_i_o___d_b_n_c_e_c_o_n___t.html">GPIO_DBNCECON_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga3f1d73ed683ccb8d50d543161f5cf635">GPIO_DBNCECON_BASE</a>)</td></tr>
<tr class="memdesc:ga1037b18e2d226fe7d327d4a6f17a21c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to GPIO de-bounce register structure.  <a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1037b18e2d226fe7d327d4a6f17a21c1">More...</a><br /></td></tr>
<tr class="separator:ga1037b18e2d226fe7d327d4a6f17a21c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga970254e6dadedc433f57d43709636664"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>&#160;&#160;&#160;((<a class="el" href="../../d7/d18/struct_f_m_c___t.html">FMC_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga68a39e11ba4a19785d20a98954c7fc9e">FMC_BASE</a>)</td></tr>
<tr class="memdesc:ga970254e6dadedc433f57d43709636664"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to FMC register structure.  <a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">More...</a><br /></td></tr>
<tr class="separator:ga970254e6dadedc433f57d43709636664"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p >The Declaration of MINI51 Series Peripheral </p>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ga8b90783a67cca84746999e2d4dfc735c" name="ga8b90783a67cca84746999e2d4dfc735c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8b90783a67cca84746999e2d4dfc735c">&#9670;&nbsp;</a></span>ACMP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACMP&#160;&#160;&#160;((<a class="el" href="../../d1/d99/struct_a_c_m_p___t.html">ACMP_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga1c32d772e9e72f69156356e526790914">ACMP_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to ACMP register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05733">5733</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga54d148b91f3d356713f7e367a2243bea" name="ga54d148b91f3d356713f7e367a2243bea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga54d148b91f3d356713f7e367a2243bea">&#9670;&nbsp;</a></span>ADC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ADC&#160;&#160;&#160;((<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gad06cb9e5985bd216a376f26f22303cd6">ADC_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to ADC register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05732">5732</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga4b355291fe6b8ba8e167ab0faa862e45" name="ga4b355291fe6b8ba8e167ab0faa862e45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga4b355291fe6b8ba8e167ab0faa862e45">&#9670;&nbsp;</a></span>CLK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CLK&#160;&#160;&#160;((<a class="el" href="../../d5/d89/struct_c_l_k___t.html">CLK_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga0385aaf8679955f827be0a0abda8566d">CLK_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to CLK register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05736">5736</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga970254e6dadedc433f57d43709636664" name="ga970254e6dadedc433f57d43709636664"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga970254e6dadedc433f57d43709636664">&#9670;&nbsp;</a></span>FMC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC&#160;&#160;&#160;((<a class="el" href="../../d7/d18/struct_f_m_c___t.html">FMC_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga68a39e11ba4a19785d20a98954c7fc9e">FMC_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to FMC register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05745">5745</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga1037b18e2d226fe7d327d4a6f17a21c1" name="ga1037b18e2d226fe7d327d4a6f17a21c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1037b18e2d226fe7d327d4a6f17a21c1">&#9670;&nbsp;</a></span>GPIO</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO&#160;&#160;&#160;((<a class="el" href="../../d0/dd9/struct_g_p_i_o___d_b_n_c_e_c_o_n___t.html">GPIO_DBNCECON_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga3f1d73ed683ccb8d50d543161f5cf635">GPIO_DBNCECON_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to GPIO de-bounce register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05744">5744</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga457a9aa93dbb216459873a30bdb4d84a" name="ga457a9aa93dbb216459873a30bdb4d84a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga457a9aa93dbb216459873a30bdb4d84a">&#9670;&nbsp;</a></span>I2C</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C&#160;&#160;&#160;((<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7ee5d64af207612578a7c77b58f1dd33">I2C_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to I2C register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05725">5725</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga86abb2e8858d177c04e60c41e9242045" name="ga86abb2e8858d177c04e60c41e9242045"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga86abb2e8858d177c04e60c41e9242045">&#9670;&nbsp;</a></span>I2C0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C0&#160;&#160;&#160;((<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7ee5d64af207612578a7c77b58f1dd33">I2C_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to I2C register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05726">5726</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="gafeeffe52c8fd59db7c61cf8b02042dbf" name="gafeeffe52c8fd59db7c61cf8b02042dbf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gafeeffe52c8fd59db7c61cf8b02042dbf">&#9670;&nbsp;</a></span>INT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define INT&#160;&#160;&#160;((<a class="el" href="../../dc/d0b/struct_i_n_t___t.html">INT_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gab83441b5ca9bd3c25e8e4489f2071f1f">INT_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to INT register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05737">5737</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga1583b00a62bc1138f99bbfcd8ef81a6a" name="ga1583b00a62bc1138f99bbfcd8ef81a6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1583b00a62bc1138f99bbfcd8ef81a6a">&#9670;&nbsp;</a></span>P0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define P0&#160;&#160;&#160;((<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaa9ed78d6cfe5edd33af3e136c5938417">P0_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to GPIO port 0 register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05738">5738</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga6c2a9f7efd46f0160f3037869924d6ce" name="ga6c2a9f7efd46f0160f3037869924d6ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga6c2a9f7efd46f0160f3037869924d6ce">&#9670;&nbsp;</a></span>P1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define P1&#160;&#160;&#160;((<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga656ca53ffcbf328100dddccf007b85ef">P1_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to GPIO port 1 register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05739">5739</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="gae00a52dba55d31948c377fa85d385b87" name="gae00a52dba55d31948c377fa85d385b87"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae00a52dba55d31948c377fa85d385b87">&#9670;&nbsp;</a></span>P2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define P2&#160;&#160;&#160;((<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gac015290d797bcba839812d71b6e07565">P2_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to GPIO port 2 register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05740">5740</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga0707a89c2f63bd260108e9dbb669358e" name="ga0707a89c2f63bd260108e9dbb669358e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0707a89c2f63bd260108e9dbb669358e">&#9670;&nbsp;</a></span>P3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define P3&#160;&#160;&#160;((<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga932e679bf1c1dd9873fa5948845394b7">P3_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to GPIO port 3 register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05741">5741</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="gacbc14a33d017f5f2dabce1cb0d85718e" name="gacbc14a33d017f5f2dabce1cb0d85718e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gacbc14a33d017f5f2dabce1cb0d85718e">&#9670;&nbsp;</a></span>P4</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define P4&#160;&#160;&#160;((<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga1bfcac8d536ed3cbf84dea67475311f4">P4_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to GPIO port 4 register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05742">5742</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga49ce5f7954a95865f12be8083ccb2719" name="ga49ce5f7954a95865f12be8083ccb2719"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga49ce5f7954a95865f12be8083ccb2719">&#9670;&nbsp;</a></span>P5</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define P5&#160;&#160;&#160;((<a class="el" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga37447b491f1fb8b3cd8335bcf78c0dc7">P5_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to GPIO port 5 register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05743">5743</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga538e3ec60828cfabae7e3011d73d2093" name="ga538e3ec60828cfabae7e3011d73d2093"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga538e3ec60828cfabae7e3011d73d2093">&#9670;&nbsp;</a></span>PWM</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM&#160;&#160;&#160;((<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga1cf172d973c15b32c647a80557010e0c">PWM_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to PWM register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05729">5729</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="gaadd93900fc87105fa3ef514675d4133b" name="gaadd93900fc87105fa3ef514675d4133b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaadd93900fc87105fa3ef514675d4133b">&#9670;&nbsp;</a></span>SPI</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI&#160;&#160;&#160;((<a class="el" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga4a3757b6bf87a9402b4cc6ff355dd015">SPI_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to SPI register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05727">5727</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="gaf26e39c91b262cc480085abcc450d3d5" name="gaf26e39c91b262cc480085abcc450d3d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf26e39c91b262cc480085abcc450d3d5">&#9670;&nbsp;</a></span>SPI0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI0&#160;&#160;&#160;((<a class="el" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga4a3757b6bf87a9402b4cc6ff355dd015">SPI_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to SPI register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05728">5728</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="gae3d9f52a1a315303ad04f0576bd42a25" name="gae3d9f52a1a315303ad04f0576bd42a25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae3d9f52a1a315303ad04f0576bd42a25">&#9670;&nbsp;</a></span>SYS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SYS&#160;&#160;&#160;((<a class="el" href="../../db/d66/struct_g_c_r___t.html">GCR_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gab33b8c0d1115b19422b58e6efa42c8a6">GCR_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to SYS register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05735">5735</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="gaf1b746ba5ab7d0ab657156ebda0f290c" name="gaf1b746ba5ab7d0ab657156ebda0f290c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf1b746ba5ab7d0ab657156ebda0f290c">&#9670;&nbsp;</a></span>TIMER0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER0&#160;&#160;&#160;((<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7a5c55fc79dee34c91502b0503404375">TIMER0_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to Timer 0 register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05723">5723</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga63bf4f24c85f26e838f55701a5e69831" name="ga63bf4f24c85f26e838f55701a5e69831"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga63bf4f24c85f26e838f55701a5e69831">&#9670;&nbsp;</a></span>TIMER1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER1&#160;&#160;&#160;((<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7a4bd01d91a70285f0bec70f4e9e88bb">TIMER1_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to Timer 1 register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05724">5724</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="gaf7cb12b462b4594bd759d1b4e241ec4c" name="gaf7cb12b462b4594bd759d1b4e241ec4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf7cb12b462b4594bd759d1b4e241ec4c">&#9670;&nbsp;</a></span>UART</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART&#160;&#160;&#160;((<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaa501d94aad5260161a3f0b89ec827e92">UART_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to UART register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05730">5730</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga0508661f121639ffdee7de2353a0def2" name="ga0508661f121639ffdee7de2353a0def2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0508661f121639ffdee7de2353a0def2">&#9670;&nbsp;</a></span>UART0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART0&#160;&#160;&#160;((<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaa501d94aad5260161a3f0b89ec827e92">UART_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to UART register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05731">5731</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga9646f603341e1ee220bf5d9948f05cb0" name="ga9646f603341e1ee220bf5d9948f05cb0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga9646f603341e1ee220bf5d9948f05cb0">&#9670;&nbsp;</a></span>WDT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WDT&#160;&#160;&#160;((<a class="el" href="../../d9/d18/struct_w_d_t___t.html">WDT_T</a> *) <a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaf99229879e6e3249a0ab9bcefcaf208b">WDT_BASE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to WDT register structure. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05722">5722</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:40 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
